<?php 
require_once("../includes/bootstrap2.php");
$sesion=new sesion(); // inicio la sesion

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}

$academia = bootstrap::initBD($sesion->get('anio'));

$cdEst=$_GET['id'];
if($sesion->getVar('ac_tipo_user')=='1'){
	$wh=" and aca_asignaturasxgrupos.cod_profesor='".$sesion->getVar('info_doc.cod_profesor')."'";
}else{
	$wh="";
}
$sql = "SELECT
			lcase(aca_asignaturas.nom_asi) as nombre  , aca_estxasigxgrupos.cod_estxasigxgrupos as id
		FROM 
			aca_estxasigxgrupos	INNER JOIN aca_asignaturasxgrupos ON (aca_estxasigxgrupos.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo)
			INNER JOIN aca_asignaturas ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi)
		WHERE aca_estxasigxgrupos.cod_estudiante='".$cdEst."' ".$wh. " ORDER BY pri_asi ASC";
		
		$academia->instruccion($sql);
		$responce['total']=$academia->num_rows();
		//$responce['sql']=$sql; 
		while($reg=$academia->extraer_registro()){
			$responce['rows'][]=array("id"=>$reg['id'],"name"=>ucfirst($reg['nombre']),'hr'=>'<input type="text" class="nhrs" value="1" size="1" id="hr'.$reg['id'].'">');
		}
		$academia->liberar();
		
		header("Content-type: application/json");
		echo json_encode($responce);
				
		$academia->cerrar();
?>       